export declare class DatePickerService {
    selectedDate: any;
    focusedDate: any;
    viewedDate: any;
    locale: string;
    maxDate: any;
    minDate: any;
    filterDate: any;
    monthFormat: string;
    nextArialLabel: string;
    previousArialLabel: string;
    config: any;
    isRange: false;
    targetStart: boolean;
    start?: any;
    end?: any;
    hoverDate: any;
    weekDaysMap: number[];
    nowDate: any;
    private selected;
    selected$: import("rxjs/internal/Observable").Observable<any>;
    private focused;
    focused$: import("rxjs/internal/Observable").Observable<any>;
    private viewed;
    viewed$: import("rxjs/internal/Observable").Observable<any>;
    private hovered;
    hovered$: import("rxjs/internal/Observable").Observable<any>;
    private startDate;
    startDate$: import("rxjs/internal/Observable").Observable<any>;
    private endDate;
    endDate$: import("rxjs/internal/Observable").Observable<any>;
    private viewMonthChange;
    viewMonthChange$: import("rxjs/internal/Observable").Observable<any>;
    private isShowDatepicker;
    isShowDatepicker$: import("rxjs/internal/Observable").Observable<boolean>;
    private constStartOfWeek;
    constructor();
    changeTarget(ifStart: any): void;
    getDateRangeString(): string;
    isDayInRange(day: any): boolean;
    isActiveDay(day: any, op: any): boolean;
    hasEitherRange(): any;
    hasFinishRange(): any;
    isStartDay(day: any): any;
    isEndDay(day: any): any;
    changeStartDate(v: any): void;
    changeEndDate(v: any): void;
    setOpenStatus(isOpen: boolean): void;
    initConfig: (config: any) => void;
    select: (d: any) => void;
    getNewDayByOffset: (d: any, offset?: number) => any;
    focus: (d: any, offset?: number) => void;
    view: (d: any) => void;
    hover: (d: any, offset?: number) => void;
    isSameDay: (d1: any, d2: any) => any;
    getMonthName: (date: any) => any;
    shouldNextMonthDisable: (date: any) => boolean;
    shouldPrevMonthDisable: (date: any) => boolean;
    getWeekDayName: (offset: any) => any;
    getLocaleData: (d: any) => any;
    getMonth: (day: any) => any;
    getStartWeekOfMonth: (day: any) => any;
    getNextWeekStart: (day: any) => any;
    isSameMonth: (d1: any, d2: any) => any;
    viewNextMonth: () => void;
    viewPreMonth: () => void;
    getDaysInWeek: (day: any) => any[];
    getDate: (day: any) => any;
    isToday: (day: any) => any;
    isSelected: (day: any) => any;
    isFocus: (day: any) => any;
    isOutsideMonth: (day: any, month: any) => boolean;
    isDayDisabled: (day: any) => any;
}
